%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	A general purpose calculator and math tool
Name:		genius
Version:	1.0.25
Release:	%mkrel 1
License:	GPLv3+
Group:		Sciences/Mathematics
URL:		http://www.jirka.org/genius.html
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	pkgconfig(amtk-5)
BuildRequires:	pkgconfig(glib-2.0) >= 2.12.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.12.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.16.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.18.0
BuildRequires:	pkgconfig(vte-2.91)
BuildRequires:	pkgconfig(gtksourceview-4)
BuildRequires:	gmp-devel
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(mpfr)
BuildRequires:	pkgconfig(tinfo)
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	automake
Requires:	ghostscript

%description
Genius is an advanced calculator and a mathematical programming language.
It handles multiple precision floating point numbers, infinite precision
integers, complex numbers and matrixes.

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static --disable-update-mimedb
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

# remove stuff not distributed
# pointless to include header, no plugin has been developed in 4 yrs
rm -rf %{buildroot}%{_includedir}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/application-registry/*
%{_datadir}/mime/packages/*
%{_datadir}/mime-info/*
%{_iconsdir}/hicolor/*/apps/gnome-genius.*
%{_iconsdir}/hicolor/*/apps/genius-stock-plot.png
%{_libdir}/%{name}/
%{_libexecdir}/genius-readline-helper-fifo


%changelog
* Fri Mar 06 2020 daviddavid <daviddavid> 1.0.25-1.mga8
+ Revision: 1554455
- new version: 1.0.25
- switch to gtk3 and vte3

* Tue Feb 18 2020 umeabot <umeabot> 1.0.24-4.mga8
+ Revision: 1542168
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 1.0.24-3.mga8
+ Revision: 1475949
- rebuild for readline

* Sun Sep 23 2018 umeabot <umeabot> 1.0.24-2.mga7
+ Revision: 1297857
- Mageia 7 Mass Rebuild

* Tue May 15 2018 ovitters <ovitters> 1.0.24-1.mga7
+ Revision: 1229756
- new version 1.0.24

* Mon Feb 19 2018 kekepower <kekepower> 1.0.23-3.mga7
+ Revision: 1202946
- Rebuild for new mpfr

* Tue Jan 02 2018 wally <wally> 1.0.23-2.mga7
+ Revision: 1189431
- rebuild for new readline

* Sat May 13 2017 ovitters <ovitters> 1.0.23-1.mga6
+ Revision: 1100793
- new version 1.0.23

* Tue Jan 03 2017 daviddavid <daviddavid> 1.0.22-1.mga6
+ Revision: 1080004
- new version: 1.0.22
- rename and rediff desktop file patch

* Tue Feb 16 2016 daviddavid <daviddavid> 1.0.21-1.mga6
+ Revision: 961953
- new version: 1.0.21
- rename and rediff desktop file patch

* Sun Feb 14 2016 umeabot <umeabot> 1.0.20-2.mga6
+ Revision: 960274
- Mageia 6 Mass Rebuild

* Mon Aug 31 2015 ovitters <ovitters> 1.0.20-1.mga6
+ Revision: 871657
- new version 1.0.20

* Wed Oct 15 2014 umeabot <umeabot> 1.0.19-2.mga5
+ Revision: 747826
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 wally <wally> 1.0.19-1.mga5
+ Revision: 732719
- new version 1.0.19

* Tue Sep 16 2014 umeabot <umeabot> 1.0.18-2.mga5
+ Revision: 679492
- Mageia 5 Mass Rebuild

* Tue Aug 26 2014 ovitters <ovitters> 1.0.18-1.mga5
+ Revision: 668443
- new version 1.0.18
- dropped merged patch 1

* Thu May 29 2014 fwang <fwang> 1.0.17-4.mga5
+ Revision: 627470
- fix current readline usage

* Mon Oct 21 2013 umeabot <umeabot> 1.0.17-4.mga4
+ Revision: 540512
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 colin <colin> 1.0.17-3.mga4
+ Revision: 493749
- Remove previous hack as no longer needed with newer ncurses

* Tue Oct 08 2013 colin <colin> 1.0.17-2.mga4
+ Revision: 493224
- Add hacky patch to find termcap.h
- Rebuild against ncurse's libtinfo rather than libtermcap

* Tue Jun 25 2013 ovitters <ovitters> 1.0.17-1.mga4
+ Revision: 446615
- new version 1.0.17

* Fri Jan 11 2013 umeabot <umeabot> 1.0.16-2.mga3
+ Revision: 351347
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 ovitters <ovitters> 1.0.16-1.mga3
+ Revision: 332158
- new version 1.0.16
- clean spec

* Wed Mar 28 2012 ovitters <ovitters> 1.0.15-1.mga3
+ Revision: 227223
- new version 1.0.15
+ fwang <fwang>
- br gnome-doc-utils
- drop old section
- new vesion 1.0.14
+ kharec <kharec>
- imported package genius


* Tue Nov 23 2010 Götz Waschk <waschk@mandriva.org> 1.0.12-1mdv2011.0
+ Revision: 599912
- new version
- drop patch

* Fri Sep 10 2010 Götz Waschk <waschk@mandriva.org> 1.0.11-1mdv2011.0
+ Revision: 577041
- update to new version 1.0.11

* Wed Sep 08 2010 Götz Waschk <waschk@mandriva.org> 1.0.10-1mdv2011.0
+ Revision: 576759
- new version
- fix makefile tabs

* Wed Feb 10 2010 Funda Wang <fwang@mandriva.org> 1.0.9-2mdv2010.1
+ Revision: 503580
- rebuild for new gmp

* Wed Dec 23 2009 Götz Waschk <waschk@mandriva.org> 1.0.9-1mdv2010.1
+ Revision: 481891
- update to new version 1.0.9

* Tue Nov 10 2009 Götz Waschk <waschk@mandriva.org> 1.0.8-1mdv2010.1
+ Revision: 463965
- update to new version 1.0.8

* Wed Jul 29 2009 Götz Waschk <waschk@mandriva.org> 1.0.7-1mdv2010.0
+ Revision: 404423
- update to new version 1.0.7

* Wed Jun 10 2009 Götz Waschk <waschk@mandriva.org> 1.0.6-3mdv2010.0
+ Revision: 384682
- rebuild for new vte

* Tue Jun 02 2009 Götz Waschk <waschk@mandriva.org> 1.0.6-2mdv2010.0
+ Revision: 382162
- rebuild for new libvte

* Sun Mar 15 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.6-1mdv2009.1
+ Revision: 355219
- Update to new version 1.0.6
- Don't package ChangeLog and COPYING (GPLv3 license) files
- Use %%{buildroot} macro instead of $RPM_BUILD_ROOT in SPEC file

* Tue Mar 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.5-2mdv2009.1
+ Revision: 347889
- rebuild for latest readline

* Wed Feb 11 2009 Funda Wang <fwang@mandriva.org> 1.0.5-1mdv2009.1
+ Revision: 339302
- New version 1.0.5

* Tue Feb 10 2009 Funda Wang <fwang@mandriva.org> 1.0.4-1mdv2009.1
+ Revision: 339288
- New version 1.0.4

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - import genius

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Fri Aug 18 2006 Frederic Crozat <fcrozat@mandriva.com> 0.7.6.1-1mdv2007.0
- Release 0.7.6.1
- clean spec
- fix xdg menu

* Thu Aug 10 2006 Lenny Cartier <lenny@mandriva.com> 0.7.4-5mdv2007.0
- xdg

* Thu Dec 22 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.4-4mdk
- Fix File list
- use mkrel

* Sun Sep 04 2005 Michael Scherer <misc@mandriva.org> 0.7.4-3mdk
- Rebuild to avoid libglitz deps

* Wed Aug 24 2005 Abel Cheung <deaddog@mandriva.org> 0.7.4-2mdk
- Prereq -> Requires

* Wed Aug 24 2005 Abel Cheung <deaddog@mandriva.org> 0.7.4-1mdk
- New release 0.7.4

* Fri Mar 25 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.7.3-1mdk
- 0.7.3

* Sun Mar 13 2005 Franck Villaume <fvill@freesurf.fr> 0.7.2-5mdk
- remove files for automatic rebuild

* Fri Feb 04 2005 Jerome Soyer <saispo@mandrake.org> 0.7.2-4mdk
- Rebuild new readline

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.2-3mdk 
- Rebuild with latest howl

* Thu Dec 30 2004 Abel Cheung <deaddog@mandrake.org> 0.7.2-2mdk
- Add scrollkeeper stuff

* Sat Dec 25 2004 Abel Cheung <deaddog@mandrake.org> 0.7.2-1mdk
- New version
- P1: switch to automake 1.8
- Remove restriction on gmp version, now it uses bundled mpfr library

* Fri Nov 12 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.1-4mdk
- fix buildrequires

* Fri Nov 12 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.1-3mdk
- remove generated files from %%_datadir/mime/

* Sat Aug 21 2004 Abel Cheung <deaddog@deaddog.org> 0.7.1-2mdk 
- Update mime info in postin/un

* Fri Aug 20 2004 Jerome Soyer <saispo@mandrake.org> 0.7.1-1mdk
- 0.7.1

* Mon Aug 16 2004 Jerome Soyer <saispo@mandrake.org> 0.7.0-2mdk
- Fix menu

* Wed Aug 10 2004 Jerome Soyer <saispo@mandrake.org> 0.7.0-1mdk
- 0.7.0
- fix gcc 3.4 build

* Sat Apr 10 2004 Abel Cheung <deaddog@deaddog.org> 0.6.0-1mdk
- First Mandrake spec
- Patch0: Don't build versioned module
